package com.dev.swms.server.model.count;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.swms.server.model.base.Structure;

public class CountDetailCompany extends CountDetail {
	/** 盘点货主 */
	private Structure company;

	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}

	public boolean equals(final Object other) {
		if (!(other instanceof CountDetailCompany))
			return false;
		CountDetailCompany castOther = (CountDetailCompany) other;
		return new EqualsBuilder().appendSuper(super.equals(other)).append(
				company, castOther.getCompany()).isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().appendSuper(super.hashCode()).append(
				company).toHashCode();
	}

}
